# Configuration

### Coinshop Config

```lua
Config = Config or {}
Config.CoinShop = {}

Config.CoinShop.Categories = {
  {
    name = "Items",
    products = {
      {
        label = "2x Apfel",
        description = "Ein Apfel",
        image = "/assets/images/apple.png",
        price = 500,
        -- Item Object Properties
        count = 2,     -- amount of items or ammoCount
        item = "bread" -- item or weapon or car
      },
      {
        label = "Pistole",
        description = "Eine Kanone",
        image = "/assets/images/WEAPON_PISTOl.png",
        price = 1000,
        -- Weapon Object Properties
        weapon = "WEAPON_PISTOL",
        ammo = 100, -- amount of ammo
      },
      {
        label = "T20",
        description = "Ein Auto",
        image = "/assets/images/car.png",
        price = 5000,
        -- Vehicle Object Properties
        vehicle = "t20",
        vehicleType = "car" -- car, boat, plane, etc.
      },
      {
        label = "20.000$",
        description = "Fetter Batzen",
        image = "/assets/images/no-image.png",
        price = 500,
        -- Cash Object Properties
        money = 20000,
        account = "money", -- bank, money, etc.
      },
    }
  }
}
```

### Main Config

<pre class="language-lua"><code class="lang-lua">
Config = Config or {}

Config.Debug = false;

Config.Framework = {
  type = "esx",
  path = "es_extended",
  accounts = {
    money = "money",
    bank = "bank",
    black_money = "black_money"
  }
}

Config.OpenKey = 'F10'
Config.DisableDefaultPauseMenuOpen = true;

Config.Changelogs = {
  {
    date = "10.02.2025/03:34",
    title = "Big Summer Update 2.0",
    items = {
      {
        type = "added",
        text =
        "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo"
      },
      {
        type = "removed",
        text =
        "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo"
      },
    }
  }
}

Config.Notify = function(type, text)
  TriggerEvent("hud-notify:title", type, "Coinshop", text);
end

<strong>RegisterNetEvent("menu/notify", Config.Notify);
</strong></code></pre>

### Quests Config

```lua
Config = Config or {};
Config.Quests = {
  {
    id = "category_1", -- Needs to be unique
    label = "Quest Category",
    description = "Quest Category Description",
    color = "red", -- 'red' | 'yellow' | 'blue'
    quests = {
      {
        id = "quest_1", -- Needs to be unique
        label = "Quest 1",
        description = "Quest 1 Description",
        time = "7d",
        progress = {
          max = 400,
        },
        rewards = {
          {
            label = "Pistole",
            description = "Eine Kanone",
            image = "/assets/images/WEAPON_PISTOl.png",
            price = 1000,
            -- Weapon Object Properties
            weapon = "WEAPON_PISTOL",
            ammo = 100, -- amount of ammo
          },
        }
      },
      {
        id = "quest_2", -- Needs to be unique
        label = "Quest 2",
        description = "Quest 2 Description",
        time = "7d",
        progress = {
          max = 100,
        },
        rewards = {
          {
            label = "Pistole",
            description = "Eine Kanone",
            image = "/assets/images/WEAPON_PISTOl.png",
            price = 1000,
            -- Weapon Object Properties
            weapon = "WEAPON_PISTOL",
            ammo = 100, -- amount of ammo
          },
        }
      },
    },
  },
  {
    id = "category_2", -- Needs to be unique
    label = "Quest Category",
    description = "Quest Category Description",
    color = "yellow", -- 'red' | 'yellow' | 'blue'
    quests = {
      {
        id = "quest_1", -- Needs to be unique
        label = "Quest 1",
        description = "Quest 1 Description",
        time = "7d",
        progress = {
          max = 400,
        },
        rewards = {
          {
            label = "Pistole",
            description = "Eine Kanone",
            image = "/assets/images/WEAPON_PISTOl.png",
            price = 1000,
            -- Weapon Object Properties
            weapon = "WEAPON_PISTOL",
            ammo = 100, -- amount of ammo
          },
        }
      },
      {
        id = "quest_2", -- Needs to be unique
        label = "Quest 2",
        description = "Quest 2 Description",
        time = "7d",
        progress = {
          max = 100,
        },
        rewards = {
          {
            label = "Pistole",
            description = "Eine Kanone",
            image = "/assets/images/WEAPON_PISTOl.png",
            price = 1000,
            -- Weapon Object Properties
            weapon = "WEAPON_PISTOL",
            ammo = 100, -- amount of ammo
          },
        }
      },
    },
  },
  {
    id = "category_3", -- Needs to be unique
    label = "Quest Category",
    description = "Quest Category Description",
    color = "blue", -- 'red' | 'yellow' | 'blue'
    quests = {
      {
        id = "quest_1", -- Needs to be unique
        label = "Quest 1",
        description = "Quest 1 Description",
        time = "7d",
        progress = {
          max = 400,
        },
        rewards = {
          {
            label = "Pistole",
            description = "Eine Kanone",
            image = "/assets/images/WEAPON_PISTOl.png",
            price = 1000,
            -- Weapon Object Properties
            weapon = "WEAPON_PISTOL",
            ammo = 100, -- amount of ammo
          },
        }
      },
      {
        id = "quest_2", -- Needs to be unique
        label = "Quest 2",
        description = "Quest 2 Description",
        time = "7d",
        progress = {
          max = 100,
        },
        rewards = {
          {
            label = "Pistole",
            description = "Eine Kanone",
            image = "/assets/images/WEAPON_PISTOl.png",
            price = 1000,
            -- Weapon Object Properties
            weapon = "WEAPON_PISTOL",
            ammo = 100, -- amount of ammo
          },
        }
      },
    },
  },
}
```

### Scoreboard Config

```lua
Config = Config or {}
Config.Scoreboard = {
  {
    job = "police",
    name = "Police",
    icon = "/assets/images/police.svg",
  },
}

```

### Cases Config

```lua
Config = Config or {}
Config.Cases = {
  {
    label = "LUXURY CASE",
    price = 500, -- Coins
    image = "/assets/images/case.png",
    items = {
      {
        label = "Apfel",
        image = "/assets/images/apple.png",
        chance = 20,   -- chance to get this item (0-100)
        -- Item Object Properties
        count = 2,     -- amount of items or ammoCount
        item = "bread" -- item or weapon or car
      },
      {
        label = "Pistole",
        image = "/assets/images/WEAPON_PISTOl.png",
        chance = 10, -- chance to get this item (0-100)
        -- Weapon Object Properties
        weapon = "WEAPON_PISTOL",
        ammo = 100, -- amount of ammo
      },
      {
        label = "T20",
        image = "/assets/images/car.png",
        chance = 70, -- chance to get this item (0-100)
        -- Vehicle Object Properties
        vehicle = "t20",
        vehicleType = "car" -- car, boat, plane, etc.
      },
    }
  }
}
```

### Webhooks Config

```lua
Config = Config or {};
Config.Discord = {
  Webhooks = {
    keys = {
      management = "https://discord.com/api/webhooks/1353427721815851048/SB5Trgy1LPfpAjjM8IBzO1reP2vn9fjG8D3VoeV_UI6XYMQzRbtEWw0iuhXyQnCNtr7g",
      tebex = "https://discord.com/api/webhooks/1353427721815851048/SB5Trgy1LPfpAjjM8IBzO1reP2vn9fjG8D3VoeV_UI6XYMQzRbtEWw0iuhXyQnCNtr7g",
      redeem = "https://discord.com/api/webhooks/1353427721815851048/SB5Trgy1LPfpAjjM8IBzO1reP2vn9fjG8D3VoeV_UI6XYMQzRbtEWw0iuhXyQnCNtr7g",
      cases = "https://discord.com/api/webhooks/1353427721815851048/SB5Trgy1LPfpAjjM8IBzO1reP2vn9fjG8D3VoeV_UI6XYMQzRbtEWw0iuhXyQnCNtr7g",
    },
  },
  Embed = {
    color = '#0051ff',
    thumbnail = 'https://i.imgur.com/dfmcLTX.png',
    author = {
      text = '➥ Fusion Development',
      image = 'https://i.imgur.com/dfmcLTX.png'
    },
    footer = {
      text = '(c) Fusion Development',
      image = 'https://i.imgur.com/dfmcLTX.png'
    }
  }
}
```

## Exports

#### Increase the progress of a quest (Serverside)

```lua
exports["fusion-pausemenu"]:IncreaseQuest(source, categoryId, questId, increment)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fusiondev.cloud/products/pausemenu/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
